
public class Automobile {
	
	private double resa;
	private double carburante;
	
	public Automobile(double resa, double carburante){
		this.resa = resa;
		this.carburante = carburante;
	}
	
	public Automobile(double resa){
		this(resa,0);
	}
	
	public Automobile(){
		this(0,0);
	}
	
	public double getResa(){
		return resa;
	}
	
	public double getCarburante(){
		return carburante;
	}
	
	public void setResa(double nuovaResa){
		resa = nuovaResa;
	}
	
	/* 
	 * metodo setter alternativo
	 * 
	public void setResa(double resa){
		this.resa = resa;
	}
	
	*/
	
	public void setCarburante(double quantita){
		carburante = quantita;
	}
	
	/*
	 * metodo setter alternativo
	 *
	public void setCarburante(double carburante){
		this.carburante = carburante;
	}
	
	*/

	public void rifornimento(double quantita){
		carburante += quantita;
	}
	
	public void guida(double km){
		carburante -= km/resa;
	}
}
