/*
 * Progettare e realizzare una classe Automobile con le propriet seguenti.
 * Un'automobile ha una determinata resa del carburante misurata in km/litro
 * e una certa quantit di carburante nel serbatoio.
 * La resa  specificata dal costruttore e il livello iniziale del carburante 
 *  zero. Fornire questi metodi:
 * - un metodo guida() per simulare il percorso di un'automobile per una certa
 * distanza, riducendo il livello del carburante nel serbatoio
 * - un metodo getCarburante() per ispezionare il livello corrente del 
 * carburante
 * - un metodo rifornimento() per inserire carburante nel serbatoio
 * 
 * Esempio di utilizzo:
 * Automobile auto = new Automobile(); 
 * auto.setResa(15); // 15 km per litro
 * auto.rifornimento(40); // inserisce 40 litri nel serbatoio
 * auto.guida(100); // guida per 100 km
 * double carburanteRimasto = auto.getCarburante(); // quantit di carburante rimasto	
 * 
 */

public class TesterAutomobile {
	
	public static void main(String[] args){

		Automobile auto = new Automobile(); 
		auto.setResa(15); // 15 km per litro
		System.out.println("Il carburante presente nell'automobile e': "+ auto.getCarburante());
		auto.rifornimento(40); // inserisce 40 litri nel serbatoio
		System.out.println("Il carburante presente dopo il rifornimento e': "+ auto.getCarburante());
		auto.guida(100); // guida per 100 km
		System.out.println("Il carburante rimasto dopo un viaggio di 100 km e': "+ auto.getCarburante());
		
	}

}
